<%--
 $Id: showMonthSchedule.jsp 16934 2019-10-04 05:54:46Z arakaki $
--%>

<%@ page pageEncoding="UTF-8" import="jp.jasminesoft.jfc.JFCUtils,jp.jasminesoft.jfc.IActionParameter,java.util.*" errorPage="error.jsp" %>
<%@ include file="./showSchedule_common.jsp" %>
<fmt:setBundle basename="jfcapp"/>
<jfc:ifLogon not="true">
<c:redirect url="/system/iflogonerror.jsp"/>
</jfc:ifLogon>
<%
  jp.jasminesoft.jfc.model.jcalendar_lp.JcalendarLp jcalendar_lp =
    (jp.jasminesoft.jfc.model.jcalendar_lp.JcalendarLp)request.getAttribute("jcalendar_lp");

  //System.out.println(jcalendar_lp);
  String locale = (String)session.getAttribute("__jfc_locale");
  int __targetmonth = Integer.parseInt(jcalendar_lp.getTargetmonth());
  String __showListUrl = jcalendar_lp.getShowlisturl();
  String __insertUrl = jcalendar_lp.getInserturl();
  String __caption = getCaption(jcalendar_lp, Calendar.MONTH, locale);
  request.setAttribute("__caption",__caption);

  Boolean isRokuyoFlag = (Boolean)request.getAttribute(IActionParameter.RokuyoCalendarAttrName);

  jp.jasminesoft.jfc.model.jcalendar_lp.Item[] items = jcalendar_lp.getItem();
%>

<table width="100%" class="display_table" cellspacing="1">
<caption class="schedule"><c:out value="${__caption}"/></caption>
<tr height="5%">
  <th class="schedule_header" width="14%">
    <span style="color:red;"><fmt:message key="__jfc_common.displaycalendar.label.sunday"/></span>
  </th>
  <th class="schedule_header" width="14%">
    <span style="color:white;"><fmt:message key="__jfc_common.displaycalendar.label.monday"/></span>
  </th>
  <th class="schedule_header" width="14%">
    <span style="color:white;"><fmt:message key="__jfc_common.displaycalendar.label.tuesday"/></span>
  </th>
  <th class="schedule_header" width="14%">
    <span style="color:white;"><fmt:message key="__jfc_common.displaycalendar.label.wednesday"/></span>
  </th>
  <th class="schedule_header" width="14%">
    <span style="color:white;"><fmt:message key="__jfc_common.displaycalendar.label.thursday"/></span>
  </th>
  <th class="schedule_header" width="14%">
    <span style="color:white;"><fmt:message key="__jfc_common.displaycalendar.label.friday"/></span>
  </th>
  <th class="schedule_header" width="14%">
    <span style="color:blue;"><fmt:message key="__jfc_common.displaycalendar.label.saturday"/></span>
  </th>
</tr>
<%
  for (int i=0; i<items.length; i++) {

    String __holiday = items[i].getHoliday();

    if (isSunday(items[i].getDate())) {
%>
<tr height="15%">
<%
    }
    String __css_field = getCssFieldByDate(items[i], i, __targetmonth);
    String url = __showListUrl + "?action_Search_Day=&targetdate=" + items[i].getDate();
%>
  <td class="<%= __css_field %>" height="100" valign="top">
    <a href="<%= url %>"><%= Integer.parseInt(getDateAsString(items[i])) %>
<%
    if (isHoliday(__holiday)) {
%>
      [ <%= __holiday %> ]
<%
    }
%>
    </a>
<%
    if (isRokuyoFlag != null) {
%>
<span style="color:gray">
<script language="JavaScript">
<!--
document.write(getRokuyo(<%= getYearAsString(items[i]) %>,<%= getMonthAsString(items[i]) %>,<%= getDateAsString(items[i]) %>));
-->
</script>
</span>
<%
    }
    if (isNotBlank(__insertUrl)) {
%>
    <a href="<%= __insertUrl %>?action_New=&amp;targetdate=<%= items[i].getDate() %>"><img src="img/pencil.gif" width="16" border="0"/></a>
<%
    }
%>
    <br/>
<%
    jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem[] citems =
      items[i].getCalendaritem();
    if (citems != null) {
      org.apache.commons.collections.comparators.ComparatorChain comp_hmt = 
        new org.apache.commons.collections.comparators.ComparatorChain();
      comp_hmt.addComparator(new org.apache.commons.beanutils.BeanComparator("starthour.id"));
      comp_hmt.addComparator(new org.apache.commons.beanutils.BeanComparator("startminute.id"));
      comp_hmt.addComparator(new org.apache.commons.beanutils.BeanComparator("title"));
      try {
        Arrays.sort(citems, comp_hmt);
      } catch (Exception e) {
        List<jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem> citemlist_tmp = new ArrayList();
        List<jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem> citemlist_notime = new ArrayList();
        for (jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem citem : citems) {
        	if (citem.getStarthour()==null || citem.getStartminute()==null) {
        		citemlist_notime.add(citem);
        	} else {
        		citemlist_tmp.add(citem);
        	}
        }
        org.apache.commons.collections.comparators.ComparatorChain comp_t = 
          new org.apache.commons.collections.comparators.ComparatorChain();
        comp_t.addComparator(new org.apache.commons.beanutils.BeanComparator("title"));
        try {
          Collections.sort(citemlist_notime, comp_t);
          Collections.sort(citemlist_tmp, comp_hmt);
          citemlist_notime.addAll(citemlist_tmp);
          citems = citemlist_notime.toArray(new jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem[0]);
        } catch (Exception e1) {
          try {
        	Arrays.sort(citems, comp_t);
          } catch (Exception e2) {
          }
        }
      }

      for (int j=0; j<citems.length; j++) {
        String __primarykeyname = citems[j].getPrimarykeyname();
        jp.jasminesoft.jfc.model.jcalendar_lp.Starthour _starthour = citems[j].getStarthour();
        jp.jasminesoft.jfc.model.jcalendar_lp.Startminute _startminute = citems[j].getStartminute();
        //jp.jasminesoft.jfc.model.jcalendar_lp.Endhour _endhour = citems[j].getEndhour();
        //jp.jasminesoft.jfc.model.jcalendar_lp.Endminute _endminute = citems[j].getEndminute();

        String __cnt = createCalInfoBox(citems[j], locale);
	if (isNotBlank(citems[j].getUpdateurl())) {
          String __url = citems[j].getUpdateurl() + "?sessionId=" + JFCUtils.getMD5Hash(session) + "&action_Update=&" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[j].getCalendarid());
%>
        <a href="<%= __url %>"><img src="img/pencil_update.gif" width="16" border="0"/></a>
<%
	}
    String __id = JFCUtils.encodePrimaryKey(citems[j].getCalendarid()) + "_" + i;
%>
    <span data-dojo-type="dijit/Tooltip" connectId="calInfoBox<%= __id %>" style="display: none;"><%= __cnt %></span>
<%
	if (isNotBlank(citems[j].getShowurl())) {
          String __url = citems[j].getShowurl() + "?" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[j].getCalendarid());
%>
<%--
        <a href="<%= __url %>" onMouseOver="displayHTML(event, 'calInfoBox', '<%= __cnt %>')" onMouseOut="hideLAYER('calInfoBox')">
--%>
        <a id="calInfoBox<%= __id %>" href="<%= __url %>">
<%
        } else {
%>
<%--
        <span onMouseOver="displayHTML(event, 'calInfoBox', '<%= __cnt %>')" onMouseOut="hideLAYER('calInfoBox')">
--%>
        <span id="calInfoBox<%= __id %>">
<%
        }
        if (_starthour != null && _starthour.getId() >= 0) {
%>
        <%= _starthour.getContent() %>:
<%
          if (_startminute == null || _startminute.getId() == 0) {
%>
        00
<%
          } else {
%>
        <%= _startminute.getContent() %>
<%
          }
        } 
        String __title = citems[j].getTitle();
        if (__title != null && (!__title.equals(__holiday))) {
          if (__title.length() > 6) {
            __title = __title.substring(0,6) + "...";
          }
          request.setAttribute("__title",__title);
%>
        <c:out value="${__title}"/>
<%
        }
/*
        String __staff = citems[j].getStaff();
        if (__staff != null && __staff.trim().length() > 0) {
%>
        (
<%
          if (__staff.length() > 10) {
            __staff = __staff.substring(0,10) + "...";
          }
          request.setAttribute("__staff",__staff);
%>
        <c:out value="${__staff}"/>
        )
<%
        }
*/
	if (isNotBlank(citems[j].getShowurl())) {
%>
        </a>
<%
        } else {
%>
        </span>
<%
        }
        if (isNotBlank(citems[j].getDeleteurl())) {
          String __url = citems[j].getDeleteurl() + "?sessionId=" + JFCUtils.getMD5Hash(session) + "&action_Send=&" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[j].getCalendarid());
%>
        [ <a href="<%= __url %>" onClick="var ret = doConfirm(this, '<fmt:message key="__jfc_common.link.button.Delete.confirm"/>');return ret;">x</a> ]
<%
        }
%>
        <br/>
<%
      }
    }
%>    
  </td>
<%
    if (isSaturday(items[i].getPosition())) {
%>
</tr>
<%
    }
  }
%>
</table>
