<%@ page
 pageEncoding="UTF-8"
 language="java"
 import="jp.jasminesoft.jfc.*,
         java.util.*,
         java.text.SimpleDateFormat"
%>
<fmt:setBundle basename="jfcapp"/>
<jfc:ifLogon not="true" ignoreInternetAccount="true">
<c:redirect url="/system/iflogonerror.jsp"/>
</jfc:ifLogon>

<%!
SimpleDateFormat FORMAT = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
%>

<%
String cntxt = request.getContextPath();
LogonStatus[] users = (LogonStatus[])request.getAttribute("__jfc_logonstatus");
Arrays.sort(users, new LogonStatusComparator());
boolean displayMachinename
    = jp.jasminesoft.jfc.ClusterManagerFactory.getClusterManager().getUseCluster();

Map<String,String> nameMap = (Map<String,String>)request.getAttribute("__jfc_jusernameMap");
%>


<p>
<fmt:message key="__jfc_common.text.logon.now"/>
</p>

<%
if (users == null || users.length < 1) {
%>
  <%-- usually don't come here --%>
  <p><fmt:message key="__jfc_common.text.logon.none"/></p>
<%
} else {
%>

<table class="display_table" width="90%" cellspacing="1">
 <tr>
  <th class="display_label"></th>
  <th class="display_label"><fmt:message key="__jfc_common.tabletitle.account"/></th>
  <th class="display_label"><fmt:message key="__jfc_common.tabletitle.accountname"/></th>
  <% if (displayMachinename) { %>
    <th class="display_label"><fmt:message key="__jfc_common.tabletitle.machinename"/></th>
  <% } %>
  <th class="display_label"><fmt:message key="__jfc_common.tabletitle.logon.enter"/></th>
  <th class="display_label"><fmt:message key="__jfc_common.tabletitle.access.last"/></th>
 </tr>

<%
String td_class = null;
String sessionId = null;
String userName = null;
String juserName = null;
Date created = null;
Date lastaccess = null;
String createdTime = null;
String lastaccessTime = null;
String machinename = null;
for (int i = 0 ; i < users.length ; i++) {
  td_class = (i % 2 == 0) ? "display_field2_center" : "display_field_center";
  sessionId = users[i].getSessionId();
  userName = users[i].getUsername();
  juserName = (nameMap != null) ? nameMap.get(userName) : "";
  created = new Date(users[i].getCreationTime());
  lastaccess = new Date(users[i].getLastAccessedTime());
  machinename = users[i].getMachinename();
%>
<%
  try {
      createdTime = FORMAT.format(created);
      lastaccessTime = FORMAT.format(lastaccess);
  } catch (java.lang.IllegalStateException e) {
      createdTime = null;
      lastaccessTime = null;
  }
  request.setAttribute("createdTime", createdTime);
  request.setAttribute("lastaccessTime", lastaccessTime);
  request.setAttribute("userName", userName);
  request.setAttribute("juserName", juserName);
  request.setAttribute("machinename", machinename);
%>
   <tr>
    <td class="<%=td_class%>">
     <% if (!sessionId.equals(session.getId())) { // don't show yourself %>
        <form name="releaseLogonUser" method="post" action="releaseLogonUser.do">
          <input type="hidden" name="SENDACTION"/>
          <input type="hidden" name="sessionId" 
                 value="<%= jp.jasminesoft.util.StringUtil.getMD5Hash(sessionId) %>"/>
          <input type="hidden" name="userName" value='<c:out value="${userName}"/>'/>
          <% if (displayMachinename) { %>
            <input type="hidden" name="machinename" value="<c:out value='${machinename}"/>'/>
          <% } %>
          <button data-dojo-type="dijit/form/Button" type="submit" name="btn_Release"><fmt:message key="__jfc_common.submit.release.logon"/></button>
        </form>
     <% } else { %>
       <fmt:message key="__jfc_common.text.connect.yourself"/>
     <% } %>
    </td>
    <td class="<%=td_class%>"><c:out value="${userName}"/></td>
    <td class="<%=td_class%>"><c:out value="${juserName}"/></td>
    <% if (displayMachinename) { %>
    <td class="<%=td_class%>"><c:out value="${machinename}"/></td>
    <% } %>
    <td class="<%=td_class%>">
      <c:choose>
        <c:when test="${createdTime == null}">
          <fmt:message key="__jfc_common.text.unknown"/>
        </c:when>
        <c:otherwise>
          <%= createdTime %>
        </c:otherwise>
      </c:choose>
    </td>
    <td class="<%=td_class%>">
      <c:choose>
        <c:when test="${lastaccessTime == null}">
          <fmt:message key="__jfc_common.text.unknown"/>
        </c:when>
        <c:otherwise>
          <%= lastaccessTime %>
        </c:otherwise>
      </c:choose>
    </td>
   </tr>
<%
 }
%>
</table>
<%
}
%>
<br/>
<div style="text-align:center;">
 <form name="showListLogonUsers" action="showListLogonUsers.do">
 <button data-dojo-type="dijit/form/Button" name="btn_ShowListLogonUsers" type="submit"><fmt:message key="__jfc_common.submit.refresh.screen"/></button>
 </form>
</div>
