<%--
 $Id: showMonthScheduleByStaff.jsp 8775 2013-05-15 11:21:26Z nie $
--%>

<%@ page pageEncoding="UTF-8" import="jp.jasminesoft.jfc.JFCUtils,jp.jasminesoft.jfc.IActionParameter,java.util.*" errorPage="error.jsp" %>
<%@ include file="./showSchedule_common.jsp" %>
<fmt:setBundle basename="jfcapp"/>
<jfc:ifLogon not="true">
<c:redirect url="/system/iflogonerror.jsp"/>
</jfc:ifLogon>

<%
  jp.jasminesoft.jfc.model.jcalendar_lp.JcalendarLp jcalendar_lp =
    (jp.jasminesoft.jfc.model.jcalendar_lp.JcalendarLp)request.getAttribute("jcalendar_lp");

  //System.out.println(jcalendar_lp);
  String locale = (String)session.getAttribute("__jfc_locale");

  int __targetmonth = Integer.parseInt(jcalendar_lp.getTargetmonth());
  String __showListUrl = jcalendar_lp.getShowlisturl();
  String __insertUrl = jcalendar_lp.getInserturl();
  String __caption = getCaption(jcalendar_lp, Calendar.MONTH, locale);
  request.setAttribute("__caption",__caption);

  Boolean isRokuyoFlag = (Boolean)request.getAttribute(IActionParameter.RokuyoCalendarAttrName);

  jp.jasminesoft.jfc.model.jcalendar_lp.Item[] items = jcalendar_lp.getItem();

  String[] staff_ary = getStaffArray(items);
  String width_str = (int)(90.0 / (double)(staff_ary.length)) + "%";
%>

<table width="100%" class="display_table" cellspacing="1">
<caption class="schedule"><c:out value="${__caption}"/></caption>
<%
  for (int i=0; i<items.length; i++) {
    if (i == 0) {
      // make header part.
%>
<tr>
  <th class="display_label" width="100"></th>
<%
      for (int j=0; j<staff_ary.length; j++) {
        request.setAttribute("__staff",staff_ary[j]);
%>
  <th class="display_label" width="<%= width_str %>">
    <c:out value="${__staff}"/>
  </th>
<%
      }
%>
</tr>
<%
    }

    int __nowmonth = getMonthAsInt(items[i]);
    if (__nowmonth != __targetmonth) {
      continue;
    }

    String __css_field = getCssFieldByDate(items[i], i, __targetmonth);
%>
<tr>
  <td class="<%= __css_field %>" style="text-align:center;padding-top:10px;padding-bottom:10px;"><%= simpleFormat(items[i], locale) %>
<%
    if (isRokuyoFlag != null) {
%>
<span style="color:gray">
<script language="JavaScript">
<!--
document.write(getRokuyo(<%= getYearAsString(items[i]) %>,<%= getMonthAsString(items[i]) %>,<%= getDateAsString(items[i]) %>));
-->
</script>
</span>
<%
    }
    if (isNotBlank(__insertUrl)) {
%>
    <a href="<%= __insertUrl %>?action_New=&amp;targetdate=<%= items[i].getDate() %>"><img src="img/pencil.gif" width="16" border="0"/></a>
<%
    }
%>
  </td>
<%
    jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem[] citems =
      items[i].getCalendaritem();

    String __holiday = items[i].getHoliday();

    for (int j=0; j<staff_ary.length; j++) {
%>
  <td class="<%= __css_field %>" width="<%= width_str %>" valign="top">
<%
      if (citems != null) {
          org.apache.commons.collections.comparators.ComparatorChain comp_hm = 
              new org.apache.commons.collections.comparators.ComparatorChain();
            comp_hm.addComparator(new org.apache.commons.beanutils.BeanComparator("starthour.id"));
            comp_hm.addComparator(new org.apache.commons.beanutils.BeanComparator("startminute.id"));
            try {
              Arrays.sort(citems, comp_hm);
            } catch (Exception e) {
              List<jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem> citemlist_tmp = new ArrayList();
              List<jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem> citemlist_notime = new ArrayList();
              for (jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem citem : citems) {
                  if (citem.getStarthour()==null || citem.getStartminute()==null) {
                      citemlist_notime.add(citem);
                  } else {
                      citemlist_tmp.add(citem);
                  }
              }
              org.apache.commons.collections.comparators.ComparatorChain comp_t = 
                new org.apache.commons.collections.comparators.ComparatorChain();
              comp_t.addComparator(new org.apache.commons.beanutils.BeanComparator("title"));
              try {
                Collections.sort(citemlist_notime, comp_t);
                Collections.sort(citemlist_tmp, comp_hm);
                citemlist_notime.addAll(citemlist_tmp);
                citems = citemlist_notime.toArray(new jp.jasminesoft.jfc.model.jcalendar_lp.Calendaritem[0]);
              } catch (Exception e1) {
                try {
                  Arrays.sort(citems, comp_t);
                } catch (Exception e2) {
                }
              }
            }

        for (int k=0; k<citems.length; k++) {
          String staff = citems[k].getStaff();
          if (isInclude(staff_ary[j], staff)) {
            String __primarykeyname = citems[k].getPrimarykeyname();
            jp.jasminesoft.jfc.model.jcalendar_lp.Starthour _starthour = citems[k].getStarthour();
            jp.jasminesoft.jfc.model.jcalendar_lp.Startminute _startminute = citems[k].getStartminute();
            //jp.jasminesoft.jfc.model.jcalendar_lp.Endhour _endhour = citems[k].getEndhour();
            //jp.jasminesoft.jfc.model.jcalendar_lp.Endminute _endminute = citems[k].getEndminute();
            String __cnt = createCalInfoBox(citems[k], locale);
	    if (isNotBlank(citems[k].getUpdateurl())) {
              String __url = citems[k].getUpdateurl() + "?sessionId=" + JFCUtils.getMD5Hash(session) + "&action_Update=&" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[k].getCalendarid());
%>
    <a href="<%= __url %>"><img src="img/pencil_update.gif" width="16" border="0"/></a>
<%
  	    }
            if (isNotBlank(citems[k].getShowurl())) {
              String __url = citems[k].getShowurl() + "?" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[k].getCalendarid());
              String __id = JFCUtils.encodePrimaryKey(citems[k].getCalendarid()) + "_" + i;
%>
<%--
    <a href="<%= __url %>" onMouseOver="displayHTML(event, 'calInfoBox', '<%= __cnt %>')" onMouseOut="hideLAYER('calInfoBox')">
--%>
        <span data-dojo-type="dijit/Tooltip" connectId="calInfoBox<%= __id %>" style="display: none;"><%= __cnt %></span>
        <a id="calInfoBox<%= __id %>" href="<%= __url %>">
<%
            } else {
%>
<%--
    <span onMouseOver="displayHTML(event, 'calInfoBox', '<%= __cnt %>')" onMouseOut="hideLAYER('calInfoBox')">
--%>
<%
            }
            if (_starthour != null && _starthour.getId() >= 0) {
%>
    <%= _starthour.getContent() %>:
<%
              if (_startminute == null || _startminute.getId() == 0) {
%>
    00
<%
              } else {
%>
    <%= _startminute.getContent() %>
<%
              }
            } 
            String __title = citems[k].getTitle();
            if (__title != null && (!__title.equals(__holiday))) {
              request.setAttribute("__title",__title);
%>
    <c:out value="${__title}"/>
<%
              if (isNotBlank(citems[k].getShowurl())) {
%>
    </a>
<%
              } else {
%>
    </span>
<%
              }
              if (isNotBlank(citems[k].getDeleteurl())) {
                String __url = citems[k].getDeleteurl() + "?sessionId=" + JFCUtils.getMD5Hash(session) + "&action_Send=&" + JFCUtils.createHTTPGetParameterForPrimaryKey(__primarykeyname, citems[k].getCalendarid());
%>
    [ <a href="<%= __url %>" onClick="var ret = doConfirm(this, '<fmt:message key="__jfc_common.link.button.Delete.confirm"/>');return ret;">x</a> ]
<%
              }
%>
    <br/>
<%
            }
          }
        }  
%>
  </td>
<%
      }
    }
%>
</tr>
<%
  }
%>
</table>
